#version 330 core

uniform sampler2DArray colorTex;

uniform vec4 emission;
uniform vec4 rgma;

in vec3 normal;
in vec4 texCoord0;
in vec4 color;

layout(location = 0) out vec4 fragNorm;
layout(location = 1) out vec4 fragColor;
layout(location = 2) out vec4 fragEmission;
layout(location = 3) out vec4 fragRGMA;
layout(location = 4) out vec4 fragPosition;

void main()
{
	fragColor = texture(colorTex, texCoord0.xyz) * color;
    if(fragColor.a < 1.0/255.0)
    	discard;
	fragNorm = vec4(normal, 0.0);
	fragColor.a = 1.0;
	fragEmission = emission;
	fragRGMA = rgma;
}